<?php

namespace Modules\Accounts\Enums;

enum PostingTypeEnum: string
{
    case INPUT = 'input';
    case OUTPUT = 'output';

    public static function casesAsArray(): array
    {
        return array_map(fn(self $case) => $case->value, self::cases());
    }
}
